Packages - Bug #2042

Gnome give a black screen
2018-10-20 05:08 PM - j2lapoin

Status: not-a-bug % Done: 0%
Priority: bug

Assignee:

Category:

Description

While using startx (or other alternative), gnome respond by giving a black screen following by a mouse cursor then shutting down
without error. | did paste to the mailing list my log...Here my xinitrc:

export GDK_BACKEND=x11

exec gnome-session

#exec startxfce4

#export XDG_CURRENT_DESKTOP=GNOME-Classic:GNOME
#export GNOME_SHELL_SESSION_MODE=Classic

#exec gnome-session --session=gnome-classic

here foo.log:

X.Org X Server 1.20.2

X Protocol Version 11, Revision 0

Build Operating System: Linux Arch Linux

Current Operating System: Linux m81 4.14.70-gnu-1-Its #1 SMP Wed Sep 19 08:04:57 UTC 2018 x86_64

Kernel command line: BOOT_IMAGE=/vmlinuz-linux-libre-lts root=UUID=abdec431-03ba-4415-9¢74-c808a88cd1cc rw quiet
Build Date: 16 October 2018 03:15:21PM

Current version of pixman: 0.34.0

Before reporting problems, check http://wiki.x.org

to make sure that you have the latest version.

Markers: (--) probed, (**) from config file, (==) default setting,

(++) from command line, (!!) notice, (Il) informational,

(WW) warning, (EE) error, (NI) not implemented, (??) unknown.

(==) Log file: "/home/j2lapoin/.local/share/xorg/Xorg.0.log", Time: Sat Oct 20 12:37:20 2018
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
xf86EnablelOPorts: failed to set IOPL for I/0 (Operation not permitted)
resize called 1280 1024

The XKEYBOARD keymap compiler (xkbcomp) reports:

Warning: Unsupported high keycode 372 for name <I372> ignored
X11 cannot support keycodes above 255.
This warning only shows for the first high keycode.

Errors from xkbcomp are not fatal to the X server
The XKEYBOARD keymap compiler (xkbcomp) reports:
Warning: Unsupported high keycode 372 for name <I372> ignored

X11 cannot support keycodes above 255.
This warning only shows for the first high keycode.

Errors from xkbcomp are not fatal to the X server
xinit: connection to X server lost

waiting for X server to shut down (ll) Server terminated successfully (0). Closing log file.

History

#1 - 2018-10-21 03:06 AM - freemor
Are you on OpenRC?
https://labs.parabola.nu/issues/1
http://wiki.x.org

If so have you provided a proper Xwrapper?
Do other xsessions/DE's/WM's work?

#2 - 2022-05-14 01:28 PM - Zuss

- Status changed from open to not-a-bug

Closed as OP never responded
